Subject: [bug#67311] [PATCH v2] gnu: zfs: Update to 2.1.14.

From: antlers <[email-masked]>
Date: Tue, 5 Dec 2023 20:02:54 +0000

* gnu/packages/file-systems.scm (zfs): Update to 2.1.14.

Change-Id: I696467868924f1135ba678e8e743955d3767618f
---

This week's update contains the backported fix for the recent file-system
corruption bug.

I thought I had an issue because it doesn't build against linux-libre, but that
was true of the version 2.1.12 as well; I presume the status-quo is that anyone
using this package should define a variant against their current kernel by
setting the #:linux build-system argument, and can confirm that this patch
builds against linux-libre-lts as of GNU Guix 6ab6c02a.

Thanks to everyone who's been helping keep this up to date!

 gnu/packages/file-systems.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/file-systems.scm b/gnu/packages/file-systems.scm
index bc061a5958..05074b2eb4 100644
--- a/gnu/packages/file-systems.scm
+++ b/gnu/packages/file-systems.scm
@@ -1365,7 +1365,7 @@ (define-public xfstests
 (define-public zfs
   (package
     (name "zfs")
-    (version "2.1.12")
+    (version "2.1.14")
     (outputs '("out" "module" "src"))
     (source
       (origin
@@ -1374,7 +1374,7 @@ (define-public zfs
                               "/download/zfs-" version
                               "/zfs-" version ".tar.gz"))
           (sha256
-           (base32 "0vbf9kfryprb2mbb65jllf6xpsy44xskshglyqqwj4iyxmma5nk4"))))
+           (base32 "0gzansmin40llxxh2zkgpdyp41ikd8s5hv5mpwhpcivk1q8fv7sh"))))
     (build-system linux-module-build-system)
     (arguments
      (list

base-commit: 6ab6c02affbfe921241fe07e7554b5a0ab39587e
-- 
2.41.0